function displayDayParting(_7x24,partial,settings){
	if (settings.toUpperCase().replace(/F/g,'') == '' || settings.replace(/0/g,'') == '') {
		partial.hide();
		_7x24.show();
	}else{
		partial.show();
		_7x24.hide();
		var formatted = utils.String.formatDayPartingSettings(settings,true),
		data = '一二三四五六日',
		html = '<div>当前已选时段：</div><table border="0" cellspacing="0" cellpadding="0" class="selected-day-parting"><tbody>';
		for (var i=0; i < formatted.length; i++) {
			if (formatted[i].length == 0) {
				continue;
			};
			html += '<tr><td width="40">星期'+data[i]+'</td><td>';
			for (var j=0; j < formatted[i].length; j++) {
				var range = formatted[i][j];
				if (range[1] - range[0] == 23) {
					html += '全天';
				}else{
					html += range[0]+':00 ~ '+range[1]+':59&nbsp;&nbsp;&nbsp;';
				}
			};
			html += '</td></tr>';
		};
		html += '</tbody></table>';
		partial[0].innerHTML = html;
	}
}